Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Jan Djärv <[email-masked]>
Date: Thu, 12 Aug 2010 19:11:24 +0200

Stefan Monnier skrev 2010-08-12 18.09:

> I'm more worried about the semantics than about the performance impact.
> Doing the "set PRIMARY" from C-w and friends is much easier and robust.

How so?  Just moving the cursor because of a C-f involves a lot more X calls 
that taking ownership of the PRIMARY selection.  I don't understand how 
robustness is affected.

If you want you can add lisp events that announce if the selection is 
non-empty and when it is empty and do things from lisp.

	Jan D.